Point Forecasts
Global weather point forecasts. Temperature and relative humidity parameters are calculated at 2m height, all wind parameters at 10m. Height of the parameters is above ground. Ground is assumed to be at the average elevation of the surrounding area. Forecast resolution varies by location, timescale, and proximity to observation stations — nearby stations improve accuracy and forecasts may vary even within a kilometer. Some locations use higher-resolution local models. Sometimes, data may be missing, in which case the API will return null for that value. This can occur if our data providers experience issues with data delivery. Therefore, null values should be treated as missing data. The Forecast endpoints (daily, hourly, 3hourly, 15minutely, minutely) support multi-location requests for up to 50 locations. Use a semicolon-separated list of coordinates or location IDs to retrieve multiple location forecasts. Due to the size of the data for all parameters and long forecasts, the response time can be slow. Therefore, limit the forecast length using periods in the request to achieve faster response times. Each individual location is counted as a query for billing purposes. > [!NOTE] > See symbol explanations in the Resources page. Foreca's custom weather symbol sets are available for download in SVG and PNG formats, exclusively for our API clients through My API.
Get an API key OpenAPI spec for AI assistants
Full API reference — quickstart, authentication, request limits and attribution.
Global weather point forecasts. Temperature and relative humidity parameters are calculated at 2m height, all wind parameters at 10m. Height of the parameters is above ground. Ground is assumed to be at the average elevation of the surrounding area.
Forecast resolution varies by location, timescale, and proximity to observation stations — nearby stations improve accuracy and forecasts may vary even within a kilometer. Some locations use higher-resolution local models.
Sometimes, data may be missing, in which case the API will return null for that value. This can occur if our data providers experience issues with data delivery. Therefore, null values should be treated as missing data.
The Forecast endpoints (daily, hourly, 3hourly, 15minutely, minutely) support multi-location requests for up to 50 locations. Use a semicolon-separated list of coordinates or location IDs to retrieve multiple location forecasts. Due to the size of the data for all parameters and long forecasts, the response time can be slow. Therefore, limit the forecast length using periods in the request to achieve faster response times. Each individual location is counted as a query for billing purposes.
Note
See symbol explanations in the Resources page. Foreca's custom weather symbol sets are available for download in SVG and PNG formats, exclusively for our API clients through My API.
Endpoints
Location search
Locations and associated identifiers matching a search query. Can be used as alternatives to coordinates.
Path Parameters
queryType: stringrequiredSearch query
Query Parameters
langType: stringLanguage (ISO 639-1 codes). Options: de, en, es, fr, it, pl, ru, fi, sv, nl, ko, pt, th, tr, zh, zh_TW (Chinese in Taiwan), zh_CN (Chinese in China). (default en)
countryType: stringLimit search to a given country (ISO 3166-1 alpha-2 codes)
scriptType: stringWriting script for the location name, e.g. "latin"
/api/v1/location/search/{query}Shell Curlcurl 'https://weatherapi.foreca.net/api/v1/location/search/{query}' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'{
"locations": [
{
"id": 102643743,
"name": "London",
"country": "United Kingdom",
"timezone": "Europe/London",
"language": "en",
"adminArea": "England",
"adminArea2": "Greater London",
"adminArea3": null,
"lon": -0.1257,
"lat": 51.5085
}
]
}{
"type": "object",
"properties": {
"locations": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "number",
"example": 102643743,
"description": "Identifier to be used with weather queries"
},
"name": {
"type": "string",
"example": "London",
"description": "Location name e.g. London"
},
"country": {
"type": "string",
"example": "United Kingdom",
"description": "Location country name e.g. United Kingdom"
},
"timezone": {
"type": "string",
"example": "Europe/London",
"description": "Location timezone e.g. Europe/London"
},
"language": {
"type": "string",
"example": "en",
"description": "Language of location name result"
},
"adminArea": {
"type": "string",
"example": "England",
"description": "Administrative region name (high level, e.g. state)"
},
"adminArea2": {
"type": "string",
"example": "Greater London",
"description": "Administrative region name (medium level, e.g. county)"
},
"adminArea3": {
"type": "string",
"nullable": true,
"description": "Administrative region name (low level, e.g. municipality)"
},
"lon": {
"type": "number",
"example": -0.1257,
"description": "Location longitude"
},
"lat": {
"type": "number",
"example": 51.5085,
"description": "Location latitude"
}
}
}
}
}
}Location info
Location metadata.
Path Parameters
locationType: stringrequired"Longitude,latitude" or location identifier (id) from the location endpoint
Query Parameters
langType: stringLanguage (ISO 639-1 codes). Options: de, en, es, fr, it, pl, ru, fi, sv, nl, ko, pt, th, tr, zh, zh_TW (Chinese in Taiwan), zh_CN (Chinese in China). (default en)
/api/v1/location/{location}Shell Curlcurl 'https://weatherapi.foreca.net/api/v1/location/{location}' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'{
"id": 100184745,
"name": "Nairobi",
"country": "Kenia",
"timezone": "Africa/Nairobi",
"language": "fi",
"adminArea": "Nairobi",
"adminArea2": null,
"adminArea3": null,
"lon": 36.8167,
"lat": -1.2833
}{
"type": "object",
"properties": {
"id": {
"type": "number",
"example": 100184745,
"description": "Identifier to be used with weather queries"
},
"name": {
"type": "string",
"example": "Nairobi",
"description": "Location name e.g. London"
},
"country": {
"type": "string",
"example": "Kenia",
"description": "Location country name e.g. United Kingdom"
},
"timezone": {
"type": "string",
"example": "Africa/Nairobi"
},
"language": {
"type": "string",
"example": "fi",
"description": "Language of location name result"
},
"adminArea": {
"type": "string",
"example": "Nairobi",
"description": "Administrative region name (high level, e.g. state)"
},
"adminArea2": {
"type": "string",
"nullable": true,
"description": "Administrative region name (medium level, e.g. county)"
},
"adminArea3": {
"type": "string",
"nullable": true,
"description": "Administrative region name (low level, e.g. municipality)"
},
"lon": {
"type": "number",
"example": 36.8167,
"description": "Location longitude"
},
"lat": {
"type": "number",
"example": -1.2833,
"description": "Location latitude"
}
}
}Observations
Observations from nearby representative weather stations.
Path Parameters
locationType: stringrequired"Longitude,latitude" or location identifier (id) from the location endpoint
Query Parameters
tzType: stringTime zone in response (an IANA time zone database name, default is the time zone of the location)
stationsType: stringAmount of stations (default 3, maximum 6)
precType: stringInclude precipitation? 1 for yes, 0 for no (default 0).
tempunitType: stringTemperature unit: "C", "F" (default "C")
windunitType: stringWind unit: "MS" (m/s), "KTS" (knots), "KMH" (km/h), or "MPH" (mph) (default m/s)
roundingType: stringRounding of some variables to nearest integer: 0 or 1 (default 1 for no decimals)
/api/v1/observation/latest/{location}Shell Curlcurl 'https://weatherapi.foreca.net/api/v1/observation/latest/{location}' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'{
"observations": [
{
"distance": "8 km E",
"elevation": 121,
"feelsLikeTemp": 3,
"latitude": 50.09,
"longitude": 8.79,
"precipitation": [
{
"accum": 0,
"endtime": "2026-02-20T13:00:00+01:00",
"period": "3h"
}
],
"pressure": 1023.4,
"relHumidity": 65,
"snowDepth": 2,
"station": "OFFENBACH-WETTERPARK",
"symbol": "d400",
"temperature": 5,
"time": "2026-02-20T14:00:00+01:00",
"visibility": 19720,
"windDir": 230,
"windDirString": "SW",
"windGust": 6,
"windSpeed": 3
}
]
}{
"type": "object",
"properties": {
"observations": {
"type": "array",
"items": {
"type": "object",
"properties": {
"distance": {
"type": "string",
"example": "8 km E",
"description": "Distance from the location to the station e.g. 13 km E"
},
"elevation": {
"type": "number",
"example": 121,
"description": "Elevation (m) of the station above sea level"
},
"feelsLikeTemp": {
"type": "number",
"example": 3,
"description": "Feels like temperature (°C or requested unit)"
},
"latitude": {
"type": "number",
"example": 50.09,
"description": "Latitude of the station"
},
"longitude": {
"type": "number",
"example": 8.79,
"description": "Longitude of the station"
},
"precipitation": {
"type": "array",
"items": {
"type": "object",
"properties": {
"accum": {
"type": "number",
"example": 0,
"description": "Precipitation in millimetres, during \"period\", ending at \"endtime\""
},
"endtime": {
"type": "string",
"example": "2026-02-20T13:00:00+01:00",
"description": "The precipitation accumulation period end time, formatted like \"time\""
},
"period": {
"type": "string",
"example": "3h",
"description": "Duration of this precipitation accumulation. One of \"1h\", \"3h\", \"6h\", \"12h\" or \"24h\"."
}
}
},
"description": "The set of latest available precipitation accumulations, included only with request parameter prec=1. Empty when no values are available."
},
"pressure": {
"type": "number",
"example": 1023.4,
"description": "Atmospheric pressure normalized to sea level (hPa)"
},
"relHumidity": {
"type": "number",
"example": 65,
"description": "Relative humidity (%)"
},
"snowDepth": {
"type": "number",
"example": 2,
"description": "Snow depth in centimetres (cm)"
},
"station": {
"type": "string",
"example": "OFFENBACH-WETTERPARK",
"description": "Name of the observation station"
},
"symbol": {
"type": "string",
"example": "d400",
"description": "Weather symbol code"
},
"temperature": {
"type": "number",
"example": 5,
"description": "Temperature (°C or requested unit)"
},
"time": {
"type": "string",
"example": "2026-02-20T14:00:00+01:00",
"description": "ISO 8601 date and time for the observed parameters, formatted according to request parameter tz"
},
"visibility": {
"type": "number",
"example": 19720,
"description": "Visibility in meters, e.g. \"10000\" for 10 km"
},
"windDir": {
"type": "number",
"example": 230,
"description": "Wind direction in degrees"
},
"windDirString": {
"type": "string",
"example": "SW",
"description": "Wind direction (N, NE, E, SE, S, SW, W, NW)"
},
"windGust": {
"type": "number",
"example": 6,
"description": "Wind gust speed (m/s or requested unit)"
},
"windSpeed": {
"type": "number",
"example": 3,
"description": "Wind speed (m/s or requested unit)"
}
}
}
}
}
}Current
Current weather estimate.
Path Parameters
locationType: stringrequired"Longitude,latitude" or location identifier (id) from the location endpoint
Query Parameters
altType: stringAltitude in meters
tempunitType: stringTemperature unit
windunitType: stringWind unit: "MS" (m/s), "KTS" (knots), "KMH" (km/h), or "MPH" (mph) (default m/s)
tzType: stringTime zone in response (IANA time zone database names)
langType: stringLanguage (ISO 639-1 codes). Options: ar, bg, bn, ca, cs, da, de, el, en, en_gb = en, en_us = en, es, et, fa, fi, fr, gu, he, hi, hr, hu, id, is, it, ja, kn, ko, lt, lv, ml, nb, nl, no, pa, pl, pt = pt_pt, pt_br, pt_pt, ro, ru, sk, sq, sr, sv, ta, te, th, tr, uk, vi, zh (Simplified Chinese), zh_hk (Traditional Chinese). (default en)
roundingType: stringRounding of some variables to nearest integer: 0 or 1 (default 1 for no decimals)
/api/v1/current/{location}Shell Curlcurl 'https://weatherapi.foreca.net/api/v1/current/{location}' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'{
"current": {
"time": "2021-12-20T09:28+02:00",
"symbol": "n000",
"symbolPhrase": "clear",
"temperature": -11.76,
"feelsLikeTemp": -18.97,
"relHumidity": 69,
"dewPoint": -15.81,
"windSpeed": 4.25,
"windDir": 16,
"windDirString": "N",
"windGust": 11.66,
"precipProb": 1,
"precipRate": 0,
"cloudiness": 3,
"thunderProb": 0,
"uvIndex": 0,
"pressure": 1020.95,
"visibility": 19934
}
}{
"type": "object",
"properties": {
"current": {
"type": "object",
"properties": {
"time": {
"type": "string",
"example": "2021-12-20T09:28+02:00",
"description": "ISO 8601 date and time"
},
"symbol": {
"type": "string",
"example": "n000",
"description": "Weather symbol code"
},
"symbolPhrase": {
"type": "string",
"example": "clear",
"description": "Description of weather symbol"
},
"temperature": {
"type": "number",
"example": -11.76,
"description": "Temperature (°C or requested unit)"
},
"feelsLikeTemp": {
"type": "number",
"example": -18.97,
"description": "Feels like temperature (°C or requested unit)"
},
"relHumidity": {
"type": "number",
"example": 69,
"description": "Relative humidity (%)"
},
"dewPoint": {
"type": "number",
"example": -15.81,
"description": "Dew point (°C or requested unit)"
},
"windSpeed": {
"type": "number",
"example": 4.25,
"description": "Wind speed (m/s or requested unit)"
},
"windDir": {
"type": "number",
"example": 16
},
"windDirString": {
"type": "string",
"example": "N",
"description": "Wind direction (N, NE, E, SE, S, SW, W, NW)"
},
"windGust": {
"type": "number",
"example": 11.66,
"description": "Wind gust (m/s or requested unit)"
},
"precipProb": {
"type": "number",
"example": 1,
"description": "Probability of precipitation (%)"
},
"precipRate": {
"type": "number",
"example": 0,
"description": "Intensity of precipitation rate (mm/h)"
},
"cloudiness": {
"type": "number",
"example": 3,
"description": "Cloudiness (%)"
},
"thunderProb": {
"type": "number",
"example": 0,
"description": "Probability of thunder nearby (%)"
},
"uvIndex": {
"type": "number",
"example": 0,
"description": "UV index"
},
"pressure": {
"type": "number",
"example": 1020.95,
"description": "Atmospheric pressure normalized to sea level (hPa)"
},
"visibility": {
"type": "number",
"example": 19934,
"description": "Visibility (m)"
}
}
}
}
}Nowcast (short)
High resolution one hour precipitation forecast in one minute time steps, taking advantage of weather radar where available (Europe and continental USA).
In Europe and continental USA, the short nowcast is based on a true nowcast that uses radar extrapolation to move observed rain. The data is very fresh, usually less than 15 minutes old. If it is a true nowcast, the response resolution parameter shows "resolution": 1.
In other parts of the world, we use medium-range forecast so the forecast is not a true minutecast. The time step is 1 hour, so anything less than that has to be interpolated from the hourly time steps. The data may be several hours old, so the forecast isn’t as skilled in predicting near-term precipitation. If it is not a true nowcast, the response resolution parameter shows "resolution": 60
Path Parameters
locationType: stringrequired"Longitude,latitude" or location identifier (id) from the location endpoint
Query Parameters
periodsType: stringNumber of time steps (up to 60, default 60)
tzType: stringTime zone in response (IANA time zone database names)
/api/v1/forecast/minutely/{location}Shell Curlcurl 'https://weatherapi.foreca.net/api/v1/forecast/minutely/{location}' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'{
"forecast": [
{
"time": "2022-06-22T07:43+03:00",
"precipRate": 0.93
}
],
"resolution": 1
}{
"type": "object",
"properties": {
"forecast": {
"type": "array",
"items": {
"type": "object",
"properties": {
"time": {
"type": "string",
"example": "2022-06-22T07:43+03:00",
"description": "ISO 8601 date and time"
},
"precipRate": {
"type": "number",
"example": 0.93,
"description": "Intensity of precipitation rate (mm/h)"
}
}
}
},
"resolution": {
"type": "number",
"example": 1,
"description": "Time resolution of the precipitation rate, in minutes (1 for areas covered by radar, 60 elsewhere)."
}
}
}Nowcast (long)
3-hour forecast in 15-minute time steps. The values represent the conditions at the associated timestamp unless otherwise specified.
Path Parameters
locationType: stringrequired"Longitude,latitude" or location identifier (id) from the location endpoint
Query Parameters
periodsType: stringNumber of time steps (default 8, maximum 12)
altType: stringAltitude in meters
tempunitType: stringTemperature unit: "C", "F" (default "C")
windunitType: stringWind unit: "MS" (m/s), "KTS" (knots), "KMH" (km/h), or "MPH" (mph) (default m/s)
tzType: stringTime zone in response (IANA time zone database names)
datasetType: stringVariable set: "standard" or "full" (default "standard")
langType: stringLanguage (ISO 639-1 codes). Options: ar, bg, bn, ca, cs, da, de, el, en, en_gb = en, en_us = en, es, et, fa, fi, fr, gu, he, hi, hr, hu, id, is, it, ja, kn, ko, lt, lv, ml, nb, nl, no, pa, pl, pt = pt_pt, pt_br, pt_pt, ro, ru, sk, sq, sr, sv, ta, te, th, tr, uk, vi, zh (Simplified Chinese), zh_hk (Traditional Chinese). (default en)
roundingType: stringRounding of some variables to nearest integer: 0 or 1 (default 1 for no decimals)
/api/v1/forecast/15minutely/{location}Shell Curlcurl 'https://weatherapi.foreca.net/api/v1/forecast/15minutely/{location}' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'{
"forecast": [
{
"time": "2021-12-20T10:30+01:00",
"symbol": "d421",
"symbolPhrase": "wet snow showers",
"temperature": 0.5,
"feelsLikeTemp": -4.55,
"relHumidity": 97,
"dewPoint": 0.02,
"windDir": 220,
"windSpeed": 5.47,
"windGust": 11.06,
"windDirString": "SW",
"precipProb": 82,
"snowRate": 0.03,
"precipRate": 0.05,
"cloudiness": 100,
"thunderProb": 0,
"uvIndex": 0,
"pressure": 998.169,
"visibility": 25400,
"precipType": "mixed"
}
]
}{
"type": "object",
"properties": {
"forecast": {
"type": "array",
"items": {
"type": "object",
"properties": {
"time": {
"type": "string",
"example": "2021-12-20T10:30+01:00",
"description": "ISO 8601 date and time"
},
"symbol": {
"type": "string",
"example": "d421",
"description": "Weather symbol code"
},
"symbolPhrase": {
"type": "string",
"example": "wet snow showers",
"description": "Weather description (dataset=full)"
},
"temperature": {
"type": "number",
"example": 0.5,
"description": "Temperature (°C)"
},
"feelsLikeTemp": {
"type": "number",
"example": -4.55,
"description": "Feels like temperature (°C)"
},
"relHumidity": {
"type": "number",
"example": 97,
"description": "Relative humidity (%) (dataset=full)"
},
"dewPoint": {
"type": "number",
"example": 0.02,
"description": "Dew point (°C or requested unit) (dataset=full)"
},
"windDir": {
"type": "number",
"example": 220,
"description": "Wind direction in degrees"
},
"windSpeed": {
"type": "number",
"example": 5.47,
"description": "Wind speed (m/s or requested unit)"
},
"windGust": {
"type": "number",
"example": 11.06,
"description": "Wind gust speed (m/s or requested unit)"
},
"windDirString": {
"type": "string",
"example": "SW",
"description": "Wind direction (N, NE, E, SE, S, SW, W, NW)"
},
"precipProb": {
"type": "number",
"example": 82,
"description": "Probability of precipitation (%)"
},
"snowRate": {
"type": "number",
"example": 0.03,
"description": "Intensity of snow rate (cm/h, taking density into account) (dataset=full)"
},
"precipRate": {
"type": "number",
"example": 0.05,
"description": "Intensity of precipitation rate (mm/h)"
},
"cloudiness": {
"type": "number",
"example": 100,
"description": "Cloudiness (%) (dataset=full)"
},
"thunderProb": {
"type": "number",
"example": 0,
"description": "Thunder probability (%) (dataset=full)"
},
"uvIndex": {
"type": "number",
"example": 0,
"description": "Ultraviolet index (dataset=full)"
},
"pressure": {
"type": "number",
"example": 998.169,
"description": "Atmospheric pressure extrapolated to sea level (hPa) (dataset=full)"
},
"visibility": {
"type": "number",
"example": 25400,
"description": "Visibility (m) (dataset=full)"
},
"precipType": {
"type": "string",
"example": "mixed",
"description": "Precipitation type (always one of: rain, mixed, snow) (dataset=full)"
}
}
}
}
}
}Hourly
Hourly forecasts, up to 7 days. The values represent the conditions at the associated timestamp unless otherwise specified.
Path Parameters
locationType: stringrequired"Longitude,latitude" or location identifier (id) from the location endpoint
Query Parameters
periodsType: stringNumber of time steps (default 24, maximum 169)
altType: stringAltitude in meters
tempunitType: stringTemperature unit: "C", "F" (default "C")
windunitType: stringWind unit: "MS" (m/s), "KTS" (knots), "KMH" (km/h), or "MPH" (mph) (default m/s)
tzType: stringTime zone in response (IANA time zone database names)
datasetType: stringVariable set: "standard" or "full" (default "standard")
historyType: stringHistory: whether to include past 24 hours (1 or 0, default 0)
langType: stringLanguage (ISO 639-1 codes). Options: ar, bg, bn, ca, cs, da, de, el, en, en_gb = en, en_us = en, es, et, fa, fi, fr, gu, he, hi, hr, hu, id, is, it, ja, kn, ko, lt, lv, ml, nb, nl, no, pa, pl, pt = pt_pt, pt_br, pt_pt, ro, ru, sk, sq, sr, sv, ta, te, th, tr, uk, vi, zh (Simplified Chinese), zh_hk (Traditional Chinese). (default en)
roundingType: stringRounding of some variables to nearest integer: 0 or 1 (default 1 for no decimals)
/api/v1/forecast/hourly/{location}Shell Curlcurl 'https://weatherapi.foreca.net/api/v1/forecast/hourly/{location}' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'{
"forecast": [
{
"time": "2021-12-20T13:00+04:00",
"symbol": "d400",
"symbolPhrase": "overcast",
"temperature": -0.78,
"feelsLikeTemp": -6,
"windSpeed": 4.68,
"windGust": 10.43,
"relHumidity": 73,
"dewPoint": -3.59,
"windDir": 250,
"windDirString": "W",
"precipProb": 44,
"precipAccum": 0.01,
"snowAccum": 0.01,
"cloudiness": 99,
"thunderProb": 0,
"uvIndex": 0,
"pressure": 994.789,
"visibility": 26554,
"precipType": "snow",
"solarRadiation": 140,
"snowDepth": 12
}
]
}{
"type": "object",
"properties": {
"forecast": {
"type": "array",
"items": {
"type": "object",
"properties": {
"time": {
"type": "string",
"example": "2021-12-20T13:00+04:00",
"description": "ISO 8601 date and time"
},
"symbol": {
"type": "string",
"example": "d400",
"description": "Weather symbol code"
},
"symbolPhrase": {
"type": "string",
"example": "overcast",
"description": "Description of weather (dataset=full)"
},
"temperature": {
"type": "number",
"example": -0.78,
"description": "Temperature (°C or requested unit)"
},
"feelsLikeTemp": {
"type": "number",
"example": -6,
"description": "Feels like temperature (°C or requested unit)"
},
"windSpeed": {
"type": "number",
"example": 4.68,
"description": "Wind speed (m/s or requested unit)"
},
"windGust": {
"type": "number",
"example": 10.43,
"description": "Wind gust speed (m/s or requested unit)"
},
"relHumidity": {
"type": "number",
"example": 73,
"description": "Relative humidity (%) (dataset=full)"
},
"dewPoint": {
"type": "number",
"example": -3.59,
"description": "Dew point (°C or requested unit) (dataset=full)"
},
"windDir": {
"type": "number",
"example": 250,
"description": "Wind direction in degrees"
},
"windDirString": {
"type": "string",
"example": "W",
"description": "Wind direction (N, NE, E, SE, S, SW, W, NW)"
},
"precipProb": {
"type": "number",
"example": 44,
"description": "Probability of precipitation in the 1 hour period ending at the timestamp (%)"
},
"precipAccum": {
"type": "number",
"example": 0.01,
"description": "Accumulated 1 hour precipitation up until the timestamp (as liquid water, mm)."
},
"snowAccum": {
"type": "number",
"example": 0.01,
"description": "Thickness of snow accumulated over 1 hour ending at the timestamp (cm) (dataset=full)"
},
"cloudiness": {
"type": "number",
"example": 99,
"description": "Cloudiness (%) (dataset=full)"
},
"thunderProb": {
"type": "number",
"example": 0,
"description": "Thunder probability (%) (dataset=full)"
},
"uvIndex": {
"type": "number",
"example": 0,
"description": "Ultraviolet index (dataset=full)"
},
"pressure": {
"type": "string",
"example": 994.789,
"description": "Pressure (hPa) (dataset=full)"
},
"visibility": {
"type": "number",
"example": 26554,
"description": "Visibility (m) (dataset=full)"
},
"precipType": {
"type": "string",
"example": "snow",
"description": "Precipitation type (always one of: rain, mixed, snow) (dataset=full)"
},
"solarRadiation": {
"type": "number",
"example": 140,
"description": "Ground level solar radiation intensity on a level surface, W/m² (dataset=full)"
},
"snowDepth": {
"type": "number",
"example": 12,
"description": "Snow depth on the ground (cm) (dataset=full)"
}
}
}
}
}
}Three-hourly
Forecast at 3 hour intervals, up to 14 days. The values represent the conditions at the associated timestamp unless otherwise specified. Precipitation sums are for three-hour periods.
Path Parameters
locationType: stringrequired"Longitude,latitude" or location identifier (id) from the location endpoint
Query Parameters
periodsType: stringNumber of time steps (default 21, maximum 113)
altType: stringAltitude in meters
tempunitType: stringTemperature unit: "C", "F" (default "C")
windunitType: stringWind unit: "MS" (m/s), "KTS" (knots), "KMH" (km/h), or "MPH" (mph) (default m/s)
tzType: stringTime zone in response (IANA time zone database names)
datasetType: stringVariable set: "standard" or "full" (default "standard")
historyType: stringHistory: whether to include past 24 hours (1 or 0, default 0)
langType: stringLanguage (ISO 639-1 codes). Options: ar, bg, bn, ca, cs, da, de, el, en, en_gb = en, en_us = en, es, et, fa, fi, fr, gu, he, hi, hr, hu, id, is, it, ja, kn, ko, lt, lv, ml, nb, nl, no, pa, pl, pt = pt_pt, pt_br, pt_pt, ro, ru, sk, sq, sr, sv, ta, te, th, tr, uk, vi, zh (Simplified Chinese), zh_hk (Traditional Chinese). (default en)
roundingType: stringRounding of some variables to nearest integer: 0 or 1 (default 1 for no decimals)
/api/v1/forecast/3hourly/{location}Shell Curlcurl 'https://weatherapi.foreca.net/api/v1/forecast/3hourly/{location}' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'{
"forecast": [
{
"time": "2021-12-20T10:00+01:00",
"symbol": "n400",
"symbolPhrase": "overcast",
"temperature": -4.1,
"feelsLikeTemp": -9.13,
"windSpeed": 4.2,
"windGust": 8.66,
"relHumidity": 78,
"dewPoint": -7.38,
"windDir": 273,
"windDirString": "W",
"precipProb": 7,
"precipAccum": 0.01,
"snowAccum": 0.03,
"cloudiness": 100,
"thunderProb": 0,
"uvIndex": 0,
"pressure": 1014.42,
"visibility": 49379,
"precipType": "snow",
"solarRadiation": 85
}
]
}{
"type": "object",
"properties": {
"forecast": {
"type": "array",
"items": {
"type": "object",
"properties": {
"time": {
"type": "string",
"example": "2021-12-20T10:00+01:00",
"description": "ISO 8601 date and time"
},
"symbol": {
"type": "string",
"example": "n400",
"description": "Weather symbol code"
},
"symbolPhrase": {
"type": "string",
"example": "overcast",
"description": "Description of weather (dataset=full)"
},
"temperature": {
"type": "number",
"example": -4.1,
"description": "Temperature (°C or requested unit)"
},
"feelsLikeTemp": {
"type": "number",
"example": -9.13,
"description": "Feels like temperature (°C or requested unit)"
},
"windSpeed": {
"type": "number",
"example": 4.2,
"description": "Wind speed (m/s or requested unit)"
},
"windGust": {
"type": "number",
"example": 8.66,
"description": "Wind gust speed (m/s or requested unit)"
},
"relHumidity": {
"type": "number",
"example": 78,
"description": "Relative humidity (%) (dataset=full)"
},
"dewPoint": {
"type": "number",
"example": -7.38,
"description": "Dew point (°C or requested unit) (dataset=full)"
},
"windDir": {
"type": "number",
"example": 273,
"description": "Wind direction in degrees"
},
"windDirString": {
"type": "string",
"example": "W",
"description": "Wind direction (N, NE, E, SE, S, SW, W, NW)"
},
"precipProb": {
"type": "number",
"example": 7,
"description": "Probability of precipitation in the 3 hour period ending at the timestamp (%)"
},
"precipAccum": {
"type": "number",
"example": 0.01,
"description": "Accumulated 3 hour precipitation up until the timestamp (as liquid water, mm)."
},
"snowAccum": {
"type": "number",
"example": 0.03,
"description": "Thickness of snow accumulated over 3 hours ending at the timestamp (cm) (dataset=full)"
},
"cloudiness": {
"type": "number",
"example": 100,
"description": "Cloudiness (%) (dataset=full)"
},
"thunderProb": {
"type": "number",
"example": 0,
"description": "Thunder probability (%) (dataset=full)"
},
"uvIndex": {
"type": "number",
"example": 0,
"description": "Ultraviolet index (dataset=full)"
},
"pressure": {
"type": "string",
"example": 1014.42,
"description": "Pressure (hPa) (dataset=full)"
},
"visibility": {
"type": "number",
"example": 49379,
"description": "Visibility (m) (dataset=full)"
},
"precipType": {
"type": "string",
"example": "snow",
"description": "Precipitation type (always one of: rain, mixed, snow) (dataset=full)"
},
"solarRadiation": {
"type": "number",
"example": 85,
"description": "Ground level solar radiation intensity on a level surface, W/m² (dataset=full)"
}
}
}
}
}
}Daily
Daily forecasts, up to 14 days.
Path Parameters
locationType: stringrequired"Longitude,latitude" or location identifier (id) from the location endpoint
Query Parameters
periodsType: stringNumber of time steps (default 7, maximum 15)
altType: stringAltitude in meters
tempunitType: stringTemperature unit: "C", "F" (default "C")
windunitType: stringWind unit: "MS" (m/s), "KTS" (knots), "KMH" (km/h), or "MPH" (mph) (default m/s)
datasetType: stringVariable set: "standard" or "full" (default "standard")
langType: stringLanguage (ISO 639-1 codes). Options: ar, bg, bn, ca, cs, da, de, el, en, en_gb = en, en_us = en, es, et, fa, fi, fr, gu, he, hi, hr, hu, id, is, it, ja, kn, ko, lt, lv, ml, nb, nl, no, pa, pl, pt = pt_pt, pt_br, pt_pt, ro, ru, sk, sq, sr, sv, ta, te, th, tr, uk, vi, zh (Simplified Chinese), zh_hk (Traditional Chinese). (default en)
roundingType: stringRounding of some variables to nearest integer: 0 or 1 (default 1 for no decimals, value 0 is recommended with dataset=full)
offset_hoursType: stringInclude past data up to -48 hours
/api/v1/forecast/daily/{location}Shell Curlcurl 'https://weatherapi.foreca.net/api/v1/forecast/daily/{location}' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'{
"forecast": [
{
"date": "2026-08-12",
"cloudiness": 26,
"confidence": "g",
"maxDewPoint": 8.52,
"maxFeelsLikeTemp": 18.03,
"maxRelHumidity": 85,
"maxTemp": 18.03,
"maxTempEnsemble": {
"p000": 16.99,
"p025": 17.89,
"p050": 18.33,
"p075": 18.66,
"p100": 19.33
},
"maxWindGust": 13.02,
"maxWindSpeed": 6.83,
"minDewPoint": 4.35,
"minFeelsLikeTemp": 6.71,
"minRelHumidity": 39,
"minTemp": 9.12,
"minTempEnsemble": {
"p000": 8.69,
"p025": 9.19,
"p050": 9.44,
"p075": 9.69,
"p100": 10.44
},
"minVisibility": 8281,
"moonPhase": 356,
"moonrise": "04:20:34",
"moonset": "21:22:59",
"precipAccum": 0.31,
"precipAccumEnsemble": {
"p010": 0.05,
"p025": 0.2,
"p050": 0.47,
"p075": 0.88,
"p090": 1.28
},
"precipProb": 39,
"pressure": 1018.5,
"snowAccum": 0,
"snowDepth": 0,
"solarRadiationSum": 5585,
"sunhours": 12.3303,
"sunrise": "05:25:32",
"sunriseEpoch": 1786501532,
"sunset": "21:24:35",
"sunsetEpoch": 1786559075,
"symbol": "d210",
"symbolPhrase": "light rain",
"uvIndex": 3.22,
"windDir": 313
}
]
}{
"type": "object",
"properties": {
"forecast": {
"type": "array",
"items": {
"type": "object",
"properties": {
"date": {
"type": "string",
"example": "2026-08-12",
"description": "ISO 8601 date"
},
"cloudiness": {
"type": "number",
"example": 26,
"description": "Daytime cloudiness average (%) (dataset=full)"
},
"confidence": {
"type": "string",
"example": "g",
"description": "Confidence in forecast: g (green, good), y (yellow, normal), o (orange, low) (dataset=full)"
},
"maxDewPoint": {
"type": "number",
"example": 8.52,
"description": "maximum dew point (°C) (dataset=full)"
},
"maxFeelsLikeTemp": {
"type": "number",
"example": 18.03,
"description": "24h maximum feels-like temperature (°C) (dataset=full)"
},
"maxRelHumidity": {
"type": "number",
"example": 85,
"description": "24h maximum relative humidity (%) (dataset=full)"
},
"maxTemp": {
"type": "number",
"example": 18.03,
"description": "24h maximum temperature (°C) in a deterministic forecast"
},
"maxTempEnsemble": {
"type": "object",
"properties": {
"p000": {
"type": "number",
"example": 16.99
},
"p025": {
"type": "number",
"example": 17.89
},
"p050": {
"type": "number",
"example": 18.33
},
"p075": {
"type": "number",
"example": 18.66
},
"p100": {
"type": "number",
"example": 19.33
}
},
"description": "A collection of values (°C) below which certain percentages (p000 for 0%, p025 for 25%,...) of 24h maximum temperatures of ensemble members of a probabilistic forecast are (dataset=full)"
},
"maxWindGust": {
"type": "number",
"example": 13.02,
"description": "Maximum wind gust speed (m/s or requested unit) (dataset=full)"
},
"maxWindSpeed": {
"type": "number",
"example": 6.83,
"description": "Maximum wind speed (m/s or requested unit)"
},
"minDewPoint": {
"type": "number",
"example": 4.35,
"description": "minimum dew point (°C, dataset=full)"
},
"minFeelsLikeTemp": {
"type": "number",
"example": 6.71,
"description": "24h minimum feels-like temperature (°C) (dataset=full)"
},
"minRelHumidity": {
"type": "number",
"example": 39,
"description": "24h minimum relative humidity (%) (dataset=full)"
},
"minTemp": {
"type": "number",
"example": 9.12,
"description": "24h minimum temperature (°C) in a deterministic forecast"
},
"minTempEnsemble": {
"type": "object",
"properties": {
"p000": {
"type": "number",
"example": 8.69
},
"p025": {
"type": "number",
"example": 9.19
},
"p050": {
"type": "number",
"example": 9.44
},
"p075": {
"type": "number",
"example": 9.69
},
"p100": {
"type": "number",
"example": 10.44
}
},
"description": "A collection of values (°C) below which certain percentages (p000 for 0%, p025 for 25%,...) of 24h minimum temperatures of ensemble members of a probabilistic forecast are (dataset=full)"
},
"minVisibility": {
"type": "number",
"example": 8281,
"description": "Minimum visibility (m) (dataset=full)"
},
"moonPhase": {
"type": "number",
"example": 356,
"description": "Phase of moon at midday (degrees) (dataset=full)"
},
"moonrise": {
"type": "string",
"example": "04:20:34",
"description": "Moonrise time of day in local time (dataset=full)"
},
"moonset": {
"type": "string",
"example": "21:22:59",
"description": "Moonset time of day in local time (dataset=full)"
},
"precipAccum": {
"type": "number",
"example": 0.31,
"description": "Accumulated precipitation (as liquid water, mm) in a deterministic forecast"
},
"precipAccumEnsemble": {
"type": "object",
"properties": {
"p010": {
"type": "number",
"example": 0.05
},
"p025": {
"type": "number",
"example": 0.2
},
"p050": {
"type": "number",
"example": 0.47
},
"p075": {
"type": "number",
"example": 0.88
},
"p090": {
"type": "number",
"example": 1.28
}
},
"description": "A collection of values (mm) below which certain percentages (p010 for 10%, p025 for 25%,...) of 24h precipitation accumulations of ensemble members of a probabilistic forecast are (dataset=full)"
},
"precipProb": {
"type": "number",
"example": 39,
"description": "Precipitation probability during the day (%) (dataset=full)"
},
"pressure": {
"type": "number",
"example": 1018.5,
"description": "Daytime average sea level pressure (hPa) (dataset=full)"
},
"snowAccum": {
"type": "number",
"example": 0,
"description": "Accumulated snow (thickness of precipitated snow, cm) (dataset=full)"
},
"snowDepth": {
"type": "number",
"example": 0,
"description": "Thickness of snow on the ground (cm)"
},
"solarRadiationSum": {
"type": "number",
"example": 5585,
"description": "Ground level solar radiation on a level surface, sum over the entire day (Wh/m²) (dataset=full)"
},
"sunhours": {
"type": "number",
"example": 12.3303,
"description": "Sum of sunlight hours over the entire day (hours, dataset=full)"
},
"sunrise": {
"type": "string",
"example": "05:25:32",
"description": "Sunrise time of day in local time (dataset=full)"
},
"sunriseEpoch": {
"type": "number",
"example": 1786501532,
"description": "Sunrise time in Unix time (dataset=full)"
},
"sunset": {
"type": "string",
"example": "21:24:35",
"description": "Sunset time of day in local time (dataset=full)"
},
"sunsetEpoch": {
"type": "number",
"example": 1786559075,
"description": "Sunset time in Unix time (dataset=full)"
},
"symbol": {
"type": "string",
"example": "d210",
"description": "Weather symbol code representing daytime conditions (7am to 6pm local time)"
},
"symbolPhrase": {
"type": "string",
"example": "light rain",
"description": "Description of weather during the day (dataset=full)"
},
"uvIndex": {
"type": "number",
"example": 3.22,
"description": "Maximum ultraviolet index (dataset=full)"
},
"windDir": {
"type": "number",
"example": 313,
"description": "Wind direction at maximum wind speed (degrees)"
}
}
}
}
}
}